<?php

/*
 *  version: 0.30
 *  author: Shiny Solutions
 *  copyright Copyright (C) 2016 Shiny Solutions. All Rights Reserved.
 *  @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('_JEXEC') or die("Restricted access");

class SailwaveImporterViewSetupCheck extends JViewLegacy
{
	/**
	 * Display the  view
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  void
	 */
	function display($tpl = null)
	{
             $this->addToolbar();

// Get data from the model
		$this->items		= $this->get('Items');
#		$this->pagination	= $this->get('Pagination');
                
            #   $view = $this->getView( 'setupcheck', 'html' );
            #   $view->setModel( $this->getModel( 'plugins' ), true );
                #$view->display();
 
		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			$application->enqueueMessages($errors);
 
			return false;
		}
 
		// Display the template
		parent::display($tpl);
                
              
                
	}
        
               protected function addToolbar()
    {
            JToolbarHelper::title('Sailwave Importer - System Setup Check','tbar');
            JToolbarHelper::back('JTOOLBAR_CLOSE', 'index.php/index.php?option=com_sailwaveimporter');
        }
}
